package com.yunfeiyun.agmp.common.web.system.service;

import com.yunfeiyun.agmp.common.web.system.domain.SysCusarea;

import java.util.List;

/**
 * 区域配置表 服务层
 * 
 * @author 杨晓辉
 */
public interface ISysCusareaService
{
    /**
     * 查询区域
     *
     * @param cusareaId 区域主键
     * @return 区域
     */
    public SysCusarea selectSysCusareaByCusareaId(String cusareaId);

    /**
     * 查询区域列表
     *
     * @param sysCusarea 区域
     * @return 区域集合
     */
    public List<SysCusarea> selectSysCusareaList(SysCusarea sysCusarea);

    /**
     * 新增区域
     *
     * @param sysCusarea 区域
     * @return 结果
     */
    public int insertSysCusarea(SysCusarea sysCusarea);

    /**
     * 修改区域
     *
     * @param sysCusarea 区域
     * @return 结果
     */
    public int updateSysCusarea(SysCusarea sysCusarea);

    /**
     * 批量删除区域
     *
     * @param cusareaIds 需要删除的区域主键集合
     * @return 结果
     */
    public int deleteSysCusareaByCusareaIds(String[] cusareaIds);

    /**
     * 删除区域信息
     *
     * @param cusareaId 区域主键
     * @return 结果
     */
    public int deleteSysCusareaByCusareaId(String cusareaId);


}
